import JSZip from 'jszip';
import Shape from './shape';
import { IChart, RootPresTemplate, Target } from './types/app';
export default class Chart extends Shape implements IChart {
    sourceWorksheet: number | string;
    targetWorksheet: number | string;
    constructor(relsXmlInfo: Target, sourceArchive: JSZip, sourceSlideNumber?: number);
    append(targetTemplate: RootPresTemplate, targetSlideNumber: number, appendToTree?: boolean): Promise<Chart>;
    copyFiles(): Promise<void>;
    appendTypes(): Promise<void>;
    copyChartFiles(): Promise<void>;
    appendToSlideRels(): Promise<HTMLElement>;
    editTargetWorksheetRel(): Promise<void>;
    copyWorksheetFile(): Promise<void>;
    appendChartExtensionToContentType(): Promise<HTMLElement | boolean>;
    appendChartToContentType(): Promise<HTMLElement>;
    appendColorToContentType(): Promise<HTMLElement>;
    appendStyleToContentType(): Promise<HTMLElement>;
    static getAllOnSlide(archive: JSZip, relsPath: string): Promise<Target[]>;
}
