"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importDefault(require("./index"));
const modify_1 = require("./helper/modify");
const automizer = new index_1.default({
    templateDir: `${__dirname}/../__tests__/pptx-templates`,
    outputDir: `${__dirname}/../__tests__/pptx-output`
});
let pres = automizer.loadRoot(`RootTemplate.pptx`)
    .load(`SlideWithImages.pptx`, 'images')
    .load(`SlideWithLink.pptx`, 'link')
    .load(`SlideWithCharts.pptx`, 'charts')
    .load(`EmptySlide.pptx`, 'empty')
    .load(`SlideWithShapes.pptx`, 'shapes');
pres
    .addSlide('shapes', 2, (slide) => {
    slide.modifyElement('Drum', [modify_1.dump, modify_1.setPosition({ x: 1000000, h: 5000000, w: 5000000 })]);
})
    .write(`myPresentation.pptx`).then(result => {
    console.info(result);
}).catch(error => {
    console.error(error);
});
//# sourceMappingURL=dev.js.map