"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.dump = exports.setChartData = exports.setAttribute = exports.setPosition = exports.revertElements = exports.setText = exports.setSolidFill = void 0;
const xml_1 = __importDefault(require("./xml"));
const setSolidFill = (element) => {
    element.getElementsByTagName('a:solidFill')[0]
        .getElementsByTagName('a:schemeClr')[0]
        .setAttribute('val', 'accent6');
};
exports.setSolidFill = setSolidFill;
const setText = (text) => (element) => {
    element.getElementsByTagName('a:t')[0]
        .firstChild
        .data = text;
};
exports.setText = setText;
const revertElements = (slide) => {
    // dump(slide)
};
exports.revertElements = revertElements;
// e.g. setPosition({x: 8000000, h:5000000})
const setPosition = (pos) => (element) => {
    let map = {
        x: { tag: 'a:off', attribute: 'x' },
        y: { tag: 'a:off', attribute: 'y' },
        w: { tag: 'a:ext', attribute: 'cx' },
        h: { tag: 'a:ext', attribute: 'cy' },
    };
    let parent = 'a:xfrm';
    for (let key in pos) {
        element.getElementsByTagName(parent)[0]
            .getElementsByTagName(map[key].tag)[0]
            .setAttribute(map[key].attribute, pos[key]);
    }
};
exports.setPosition = setPosition;
const setAttribute = (tagName, attribute, value, count) => (element) => {
    element.getElementsByTagName(tagName)[count || 0]
        .setAttribute(attribute, String(value));
};
exports.setAttribute = setAttribute;
const setChartData = (data) => (element, chart, workbook) => {
    xml_1.default.setChartData(chart, workbook, data);
};
exports.setChartData = setChartData;
const dump = (element) => {
    xml_1.default.dump(element);
};
exports.dump = dump;
//# sourceMappingURL=modify.js.map