import JSZip from 'jszip';
import { Target } from '../definitions/app';
import { DefaultAttribute, OverrideAttribute, RelationshipAttribute, XMLElement } from '../definitions/xml';
export default class XmlHelper {
    static getXmlFromArchive(archive: JSZip, file: string): Promise<Document>;
    static writeXmlToArchive(archive: JSZip, file: string, xml: any): Promise<JSZip>;
    static appendIf(element: XMLElement): Promise<HTMLElement | boolean>;
    static append(element: XMLElement): Promise<HTMLElement>;
    static getNextRelId(rootArchive: any, file: any): Promise<string>;
    static getMaxId(rels: {
        [x: string]: any;
    }, attribute: string, increment?: boolean): number;
    static getTargetsFromRelationships(archive: JSZip, path: string, prefix: string, suffix?: string | RegExp): Promise<Target[]>;
    static getTargetsByRelationshipType(archive: JSZip, path: string, type: string): Promise<Target[]>;
    static getRelationships(archive: JSZip, path: string, cb: Function): Promise<any[]>;
    static findByAttribute(xml: HTMLElement | Document, tagName: string, attributeName: string, attributeValue: string): Boolean;
    static replaceAttribute(archive: JSZip, path: string, tagName: string, attributeName: string, attributeValue: string, replaceValue: string): Promise<JSZip>;
    static getTargetByRelId(archive: JSZip, slideNumber: number, element: HTMLElement, type: string): Promise<Target>;
    static findByElementName(archive: JSZip, path: string, name: string): Promise<any>;
    static findByName(doc: Document, name: string): any;
    static findByAttributeValue(nodes: any, attributeName: string, attributeValue: string): HTMLElement;
    static createContentTypeChild(archive: JSZip, attributes: OverrideAttribute | DefaultAttribute): XMLElement;
    static createRelationshipChild(archive: JSZip, targetRelFile: string, attributes: RelationshipAttribute): XMLElement;
    static setChartData(chart: any, workbook: any, data: any): void;
    static setWorkbookData(workbook: any, data: any): void;
    static appendSharedString(sharedStrings: Document, string: string): number;
    static dump(element: any): void;
}
