import JSZip from 'jszip';
import Shape from './shape';
import { IImage, RootPresTemplate, Target } from './types/app';
export default class Image extends Shape implements IImage {
    extension: string;
    constructor(relsXmlInfo: Target, sourceArchive: JSZip, sourceSlideNumber?: number);
    append(targetTemplate: RootPresTemplate, targetSlideNumber: number, appendToTree?: boolean): Promise<Image>;
    copyFiles(): Promise<void>;
    appendTypes(): Promise<void>;
    appendToSlideRels(): Promise<HTMLElement>;
    appendImageExtensionToContentType(): Promise<HTMLElement | boolean>;
    static getAllOnSlide(archive: JSZip, relsPath: string): Promise<Target[]>;
}
