import JSZip from "jszip";
import { ImportedElement, RootPresTemplate } from "./definitions/app";
export default class Shape {
    mode: string;
    name: string;
    sourceArchive: JSZip;
    sourceSlideNumber: number;
    sourceSlideFile: string;
    sourceNumber: number;
    sourceFile: string;
    sourceRid: string;
    sourceElement: HTMLElement;
    targetFile: string;
    targetArchive: JSZip;
    targetTemplate: RootPresTemplate;
    targetSlideNumber: number;
    targetNumber: number;
    targetSlideFile: string;
    targetSlideRelFile: string;
    createdRid: string;
    relRootTag: string;
    relAttribute: string;
    relParent: (element: HTMLElement) => HTMLElement;
    targetElement: HTMLElement;
    callbacks: Function[];
    constructor(shape: ImportedElement);
    setTarget(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<void>;
    setTargetElement(): Promise<void>;
    appendToSlideTree(): Promise<void>;
    replaceIntoSlideTree(): Promise<void>;
    updateElementRelId(): Promise<void>;
    updateTargetElementRelId(): Promise<void>;
    getElementByRid(slideXml: Document, rId: string): Promise<HTMLElement>;
    applyCallbacks(callbacks: Function[], element: HTMLElement, arg1?: any, arg2?: any): void;
}
