import JSZip from 'jszip';
import Shape from '../shape';
import { IChart, ImportedElement, RootPresTemplate, Target, Workbook } from '../definitions/app';
export default class Chart extends Shape implements IChart {
    sourceWorksheet: number | string;
    targetWorksheet: number | string;
    constructor(shape: ImportedElement);
    modify(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Chart>;
    append(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Chart>;
    modifyOnAddedSlide(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Chart>;
    prepare(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<void>;
    clone(): Promise<void>;
    modifyChartData(): Promise<void>;
    readWorkbook(): Promise<Workbook>;
    writeWorkbook(workbook: Workbook): Promise<void>;
    copyFiles(): Promise<void>;
    appendTypes(): Promise<void>;
    copyChartFiles(): Promise<void>;
    appendToSlideRels(): Promise<HTMLElement>;
    editTargetWorksheetRel(): Promise<void>;
    copyWorksheetFile(): Promise<void>;
    appendChartExtensionToContentType(): Promise<HTMLElement | boolean>;
    appendChartToContentType(): Promise<HTMLElement>;
    appendColorToContentType(): Promise<HTMLElement>;
    appendStyleToContentType(): Promise<HTMLElement>;
    static getAllOnSlide(archive: JSZip, relsPath: string): Promise<Target[]>;
}
