import JSZip from 'jszip';
import Shape from '../shape';
import { IImage, ImportedElement, RootPresTemplate, Target } from '../definitions/app';
export default class Image extends Shape implements IImage {
    extension: string;
    contentTypeMap: object;
    constructor(shape: ImportedElement);
    modify(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Image>;
    modifyOnAddedSlide(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Image>;
    append(targetTemplate: RootPresTemplate, targetSlideNumber: number): Promise<Image>;
    prepare(targetTemplate: any, targetSlideNumber: any): Promise<void>;
    copyFiles(): Promise<void>;
    appendTypes(): Promise<void>;
    appendToSlideRels(): Promise<HTMLElement>;
    appendImageExtensionToContentType(): Promise<HTMLElement | boolean>;
    hasSvgRelation(): boolean;
    static getAllOnSlide(archive: JSZip, relsPath: string): Promise<Target[]>;
}
