import JSZip from 'jszip';
import { ISlide, RootPresTemplate, PresTemplate, IPresentationProps, ImportedElement, AnalyzedElementType, ImportElement } from './definitions/app';
export default class Slide implements ISlide {
    sourceTemplate: PresTemplate;
    targetTemplate: RootPresTemplate;
    targetNumber: number;
    sourceNumber: number;
    targetArchive: JSZip;
    sourceArchive: JSZip;
    sourcePath: string;
    targetPath: string;
    modifications: Function[];
    importElements: ImportElement[];
    relsPath: string;
    rootTemplate: RootPresTemplate;
    root: IPresentationProps;
    targetRelsPath: string;
    constructor(params: any);
    append(targetTemplate: RootPresTemplate): Promise<void>;
    modify(callback: Function): void;
    addSlideToPresentation(): Promise<void>;
    modifyElement(selector: string, callback: Function | Function[]): Promise<this>;
    addElement(presName: string, slideNumber: number, selector: string, callback?: Function | Function[]): Promise<this>;
    addElementToModlist(presName: string, slideNumber: number, selector: string, mode: string, callback?: Function | Function[]): Promise<this>;
    importedSelectedElements(): Promise<void>;
    getElementInfo(importElement: ImportElement): Promise<ImportedElement>;
    analyzeElement(sourceElement: any, sourceArchive: JSZip, slideNumber: number): Promise<AnalyzedElementType>;
    applyModifications(): Promise<void>;
    copySlideFiles(): Promise<void>;
    copySlideNoteFiles(): Promise<void>;
    updateSlideNoteFile(): Promise<void>;
    appendToSlideRel(rootArchive: JSZip, relId: string, slideCount: number): Promise<HTMLElement>;
    appendToSlideList(rootArchive: JSZip, relId: string): Promise<HTMLElement>;
    appendSlideToContentType(rootArchive: JSZip, slideCount: number): Promise<HTMLElement>;
    appendNotesToContentType(rootArchive: JSZip, slideCount: number): Promise<HTMLElement>;
    copyRelatedContent(): Promise<void>;
    hasNotes(): boolean;
}
