/// <reference types="node" />
import { ISlide, ITemplate, PresTemplate, RootPresTemplate, ICounter } from './definitions/app';
import JSZip from 'jszip';
declare class Template implements ITemplate {
    /**
     * Path to local file
     * @type string
     */
    location: string;
    /**
     * An alias name to identify template and simplify
     * @type string
     */
    name: string;
    /**
     * Node file buffer
     * @type Promise<Buffer>
     */
    file: Promise<Buffer>;
    /**
     * this.file will be passed to JSZip
     * @type Promise<JSZip>
     */
    archive: Promise<JSZip>;
    /**
     * Array containing all slides coming from Automizer.addSlide()
     * @type: ISlide[]
     */
    slides: ISlide[];
    /**
     * Array containing all counters
     * @type: ICounter[]
     */
    counter: ICounter[];
    constructor(location: string, name?: string);
    static import(location: string, name?: string): PresTemplate | RootPresTemplate;
    appendSlide(slide: ISlide): Promise<void>;
    initializeCounter(): Promise<void>;
    incrementCounter(name: string): number;
    count(name: string): number;
}
export default Template;
