"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const file_1 = __importDefault(require("./helper/file"));
const count_1 = __importDefault(require("./helper/count"));
class Template {
    constructor(location, name) {
        this.location = location;
        this.file = file_1.default.readFile(location);
        this.archive = file_1.default.extractFileContent(this.file);
    }
    static import(location, name) {
        let newTemplate;
        if (name) {
            newTemplate = new Template(location, name);
            newTemplate.name = name;
        }
        else {
            newTemplate = new Template(location);
            newTemplate.slides = [];
            newTemplate.counter = [
                new count_1.default('slides', newTemplate),
                new count_1.default('charts', newTemplate),
                new count_1.default('images', newTemplate)
            ];
        }
        return newTemplate;
    }
    appendSlide(slide) {
        return __awaiter(this, void 0, void 0, function* () {
            if (this.counter[0].get() === undefined) {
                yield this.initializeCounter();
            }
            yield slide.append(this);
        });
    }
    initializeCounter() {
        return __awaiter(this, void 0, void 0, function* () {
            for (let i in this.counter) {
                yield this.counter[i].set();
            }
        });
    }
    incrementCounter(name) {
        return count_1.default.increment(name, this.counter);
    }
    count(name) {
        return count_1.default.count(name, this.counter);
    }
}
exports.default = Template;
//# sourceMappingURL=template.js.map